Bug 190729 - [UPDATE] sysutils/zeitgeist to 0.9.14
Summary: [UPDATE] sysutils/zeitgeist to 0.9.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 20:04 UTC by Olivier Duchateau
Modified: 2015-08-02 15:38 UTC (History)
1 user (show)

See Also:


Attachments
Shar file for sysutils/zeitgeist20 (7.10 KB, text/plain)
2014-06-06 20:04 UTC, Olivier Duchateau
no flags Details
Complete patch for zeitgeist 0.9.16 update. (20.86 KB, patch)
2015-07-21 08:52 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2014-06-06 20:04:24 UTC
Created attachment 143467 [details]
Shar file for sysutils/zeitgeist20

- Update sysutils/zeitgeist to 0.9.14

We need new port because some applications still use previous API 1.0, this new one provides 2.0.

- Add LICENSE
- Add CONFLICTS, because now sysutils/zeitgeist20 replaces sysutils/zeitgeist and sysutils/libzeitgeist
- Adjust dependencies
Comment 1 Koop Mast freebsd_committer 2015-07-21 08:52:37 UTC
Created attachment 159039 [details]
Complete patch for zeitgeist 0.9.16 update.

This patch removes libzeitgeist which provides the old 1.0 library. Libzeitgeist was merged into zeitgeist which provides the 2.0 library now.

Bumpt all users. Cairo-dock-plugins supports both 1.0 and 2.0. Folks dropped zeitgeist 1.0 support all to gether, but we (gnome@) didn't notice woops.
Modify qzeitgeist to build with the new zeitgeist.

Make zeitgeist option in midori (default off) as broken.
Comment 2 Koop Mast freebsd_committer 2015-07-21 08:53:21 UTC
Add avilla@ for qzeitgeist testing and ok.
Comment 3 commit-hook freebsd_committer 2015-08-02 15:38:22 UTC
A commit references this bug:

Author: kwm
Date: Sun Aug  2 15:37:24 UTC 2015
New revision: 393430
URL: https://svnweb.freebsd.org/changeset/ports/393430

Log:
  Update zeitgeist to 0.9.14 [1]

  This version of zeitgeist now bundles libzeitgeist in the port. The
  new libzeitgeist was bumped to libzeitgeist-1.0.so -> libzeitgeist-2.0.so.

  * deskutils/cairo-dock-plugins: supports both zeitgeist versions.
  * net-im/folks: Only supports the new 2.0 libzeitgeist library version. And
    this went unnoticed, woops.
  * sysutils/libzeitgeist: Remove since it is now bundled in zeitgeist.
  * sysutils/qzeitgeist: Update the port for the new zeitgeist API.
  * www/midori: Mark the zeitgeist option (non-default) broken until midori
    can be updated to a version that supports the new libzeitgeist 2.0

  PR:		190729 [1]
  Submitted by:	olivierd@ [1]

Changes:
  head/MOVED
  head/deskutils/cairo-dock-plugins/Makefile
  head/net-im/folks/Makefile
  head/sysutils/Makefile
  head/sysutils/libzeitgeist/
  head/sysutils/qzeitgeist/Makefile
  head/sysutils/qzeitgeist/distinfo
  head/sysutils/qzeitgeist/files/
  head/sysutils/zeitgeist/Makefile
  head/sysutils/zeitgeist/distinfo
  head/sysutils/zeitgeist/files/
  head/sysutils/zeitgeist/pkg-plist
  head/www/midori/Makefile